8227439: Turn off AOT by default

Made UseAOT, AOTLibrary experimental and UseAOT false by default

Reviewed-by: iignatyev, kvn
This commit is contained in:
Rahul Raghavan 2019-08-08 14:13:16 +05:30
parent da8d152448
commit 090734266c
57 changed files with 180 additions and 160 deletions

View File

@ -185,12 +185,13 @@ define SetupAotModuleBody
) )
$$(call ExecuteWithLog, $$@.check, \ $$(call ExecuteWithLog, $$@.check, \
$$(FIXPATH) $$(JDK_UNDER_TEST)/bin/java \ $$(FIXPATH) $$(JDK_UNDER_TEST)/bin/java \
$$($1_VM_OPTIONS) -XX:+UnlockDiagnosticVMOptions \ $$($1_VM_OPTIONS) -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions \
-XX:+PrintAOT -XX:+UseAOTStrictLoading \ -XX:+PrintAOT -XX:+UseAOTStrictLoading \
-XX:AOTLibrary=$$@ -version \ -XX:AOTLibrary=$$@ -version \
> $$@.verify-aot \ > $$@.verify-aot \
) )
$1_AOT_OPTIONS += -XX:+UnlockExperimentalVMOptions
$1_AOT_OPTIONS += -XX:AOTLibrary=$$($1_AOT_LIB) $1_AOT_OPTIONS += -XX:AOTLibrary=$$($1_AOT_LIB)
$1_AOT_TARGETS += $$($1_AOT_LIB) $1_AOT_TARGETS += $$($1_AOT_LIB)
endef endef

View File

@ -1,5 +1,5 @@
# #
# Copyright (c) 2016, 2018, Oracle and/or its affiliates. All rights reserved. # Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# #
# This code is free software; you can redistribute it and/or modify it # This code is free software; you can redistribute it and/or modify it
@ -46,7 +46,7 @@ $(eval $(call SetupBuildLauncher, jaotc, \
--add-exports=jdk.internal.vm.ci/jdk.vm.ci.meta=$(call CommaList, jdk.internal.vm.compiler jdk.aot) \ --add-exports=jdk.internal.vm.ci/jdk.vm.ci.meta=$(call CommaList, jdk.internal.vm.compiler jdk.aot) \
--add-exports=jdk.internal.vm.ci/jdk.vm.ci.runtime=$(call CommaList, jdk.internal.vm.compiler jdk.aot) \ --add-exports=jdk.internal.vm.ci/jdk.vm.ci.runtime=$(call CommaList, jdk.internal.vm.compiler jdk.aot) \
--add-exports=jdk.internal.vm.ci/jdk.vm.ci.sparc=$(call CommaList, jdk.internal.vm.compiler jdk.aot) \ --add-exports=jdk.internal.vm.ci/jdk.vm.ci.sparc=$(call CommaList, jdk.internal.vm.compiler jdk.aot) \
-XX:+UseAOT \ -XX:+UnlockExperimentalVMOptions -XX:+UseAOT \
-XX:+CalculateClassFingerprint \ -XX:+CalculateClassFingerprint \
-Djvmci.UseProfilingInformation=false \ -Djvmci.UseProfilingInformation=false \
-Dgraal.UseExceptionProbability=false \ -Dgraal.UseExceptionProbability=false \

View File

@ -1769,13 +1769,13 @@ const size_t minimumSymbolTableSize = 1024;
range(0, 100) \ range(0, 100) \
\ \
/* AOT parameters */ \ /* AOT parameters */ \
product(bool, UseAOT, AOT_ONLY(true) NOT_AOT(false), \ experimental(bool, UseAOT, false, \
"Use AOT compiled files") \ "Use AOT compiled files") \
\ \
product(ccstrlist, AOTLibrary, NULL, \ experimental(ccstrlist, AOTLibrary, NULL, \
"AOT library") \ "AOT library") \
\ \
product(bool, PrintAOT, false, \ experimental(bool, PrintAOT, false, \
"Print used AOT klasses and methods") \ "Print used AOT klasses and methods") \
\ \
notproduct(bool, PrintAOTStatistics, false, \ notproduct(bool, PrintAOTStatistics, false, \

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -class compiler.aot.DeoptimizationTest * -class compiler.aot.DeoptimizationTest
* -compile compiler.aot.DeoptimizationTest.testMethod()D * -compile compiler.aot.DeoptimizationTest.testMethod()D
* -extraopt -XX:-UseCompressedOops * -extraopt -XX:-UseCompressedOops
* @run main/othervm -Xmixed -XX:+UseAOT -XX:+TieredCompilation * @run main/othervm -Xmixed -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+TieredCompilation
* -XX:-UseCompressedOops * -XX:-UseCompressedOops
* -XX:CompileCommand=dontinline,compiler.aot.DeoptimizationTest::* * -XX:CompileCommand=dontinline,compiler.aot.DeoptimizationTest::*
* -XX:AOTLibrary=./libDeoptimizationTest.so -Xbootclasspath/a:. * -XX:AOTLibrary=./libDeoptimizationTest.so -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -43,7 +43,7 @@
* -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:. * -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:.
* -extraopt -XX:-UseCompressedOops * -extraopt -XX:-UseCompressedOops
* -extraopt -XX:CompileCommand=dontinline,compiler.whitebox.SimpleTestCaseHelper::* * -extraopt -XX:CompileCommand=dontinline,compiler.whitebox.SimpleTestCaseHelper::*
* @run main/othervm -Xmixed -Xbatch -XX:+UseAOT -XX:-TieredCompilation * @run main/othervm -Xmixed -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:-TieredCompilation
* -XX:-UseCounterDecay -XX:-UseCompressedOops * -XX:-UseCounterDecay -XX:-UseCompressedOops
* -XX:-Inline * -XX:-Inline
* -XX:AOTLibrary=./libRecompilationTest2.so -Xbootclasspath/a:. * -XX:AOTLibrary=./libRecompilationTest2.so -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -31,7 +31,8 @@
* @run driver compiler.aot.AotCompiler -libname libSharedUsageTest.so * @run driver compiler.aot.AotCompiler -libname libSharedUsageTest.so
* -class compiler.aot.SharedUsageTest * -class compiler.aot.SharedUsageTest
* -extraopt -XX:-UseCompressedOops * -extraopt -XX:-UseCompressedOops
* @run main/othervm -XX:+UseAOT -XX:AOTLibrary=./libSharedUsageTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./libSharedUsageTest.so
* -XX:-UseCompressedOops * -XX:-UseCompressedOops
* -Dcompiler.aot.SharedUsageTest.parent=true * -Dcompiler.aot.SharedUsageTest.parent=true
* compiler.aot.SharedUsageTest * compiler.aot.SharedUsageTest
@ -62,7 +63,7 @@ public class SharedUsageTest {
new String[]{"libSharedUsageTest.so aot library", new String[]{"libSharedUsageTest.so aot library",
HELLO_MSG}, null, "Unexpected exit code", HELLO_MSG}, null, "Unexpected exit code",
"Unexpected output", ExitCode.OK, ADD_TEST_VM_OPTION, "Unexpected output", ExitCode.OK, ADD_TEST_VM_OPTION,
"-XX:+UseAOT", "-XX:+PrintAOT", "-XX:+UnlockExperimentalVMOptions", "-XX:+UseAOT", "-XX:+PrintAOT",
"-Dtest.jdk=" + Utils.TEST_JDK, "-Dtest.jdk=" + Utils.TEST_JDK,
"-XX:AOTLibrary=./libSharedUsageTest.so", "-XX:AOTLibrary=./libSharedUsageTest.so",
SharedUsageTest.class.getName()); SharedUsageTest.class.getName());

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -36,7 +36,8 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeDynamic2AotTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeDynamic2AotTest.so
* -class compiler.calls.common.InvokeDynamic * -class compiler.calls.common.InvokeDynamic
* -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:. * -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:.
* @run main/othervm -XX:+UseAOT -XX:AOTLibrary=./AotInvokeDynamic2AotTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeDynamic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeDynamic * compiler.calls.common.InvokeDynamic
* -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1 * -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -36,12 +36,12 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeDynamic2CompiledTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeDynamic2CompiledTest.so
* -class compiler.calls.common.InvokeDynamic * -class compiler.calls.common.InvokeDynamic
* -compile compiler.calls.common.InvokeDynamic.caller()V * -compile compiler.calls.common.InvokeDynamic.caller()V
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeDynamic2CompiledTest.so * -XX:AOTLibrary=./AotInvokeDynamic2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeDynamic -compileCallee 1 * compiler.calls.common.InvokeDynamic -compileCallee 1
* -checkCalleeCompileLevel 1 * -checkCalleeCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeDynamic2CompiledTest.so * -XX:AOTLibrary=./AotInvokeDynamic2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeDynamic -compileCallee 4 * compiler.calls.common.InvokeDynamic -compileCallee 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -37,7 +37,8 @@
* -libname AotInvokeDynamic2InterpretedTest.so * -libname AotInvokeDynamic2InterpretedTest.so
* -class compiler.calls.common.InvokeDynamic * -class compiler.calls.common.InvokeDynamic
* -compile compiler.calls.common.InvokeDynamic.caller()V * -compile compiler.calls.common.InvokeDynamic.caller()V
* @run main/othervm -XX:AOTLibrary=./AotInvokeDynamic2InterpretedTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions
* -XX:AOTLibrary=./AotInvokeDynamic2InterpretedTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeDynamic::callee * -XX:CompileCommand=exclude,compiler.calls.common.InvokeDynamic::callee
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* -XX:+UseAOT compiler.calls.common.InvokeDynamic -checkCallerCompileLevel -1 * -XX:+UseAOT compiler.calls.common.InvokeDynamic -checkCallerCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -36,7 +36,7 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeDynamic2NativeTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeDynamic2NativeTest.so
* -class compiler.calls.common.InvokeDynamic * -class compiler.calls.common.InvokeDynamic
* -compile compiler.calls.common.InvokeDynamic.caller()V * -compile compiler.calls.common.InvokeDynamic.caller()V
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeDynamic2NativeTest.so * -XX:AOTLibrary=./AotInvokeDynamic2NativeTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeDynamic -nativeCallee -checkCallerCompileLevel -1 * compiler.calls.common.InvokeDynamic -nativeCallee -checkCallerCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,8 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeInterface2AotTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeInterface2AotTest.so
* -class compiler.calls.common.InvokeInterface * -class compiler.calls.common.InvokeInterface
* -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:. * -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:.
* @run main/othervm -XX:+UseAOT -XX:AOTLibrary=./AotInvokeInterface2AotTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeInterface2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeInterface * compiler.calls.common.InvokeInterface
* -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1 * -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,12 +34,12 @@
* -libname AotInvokeInterface2CompiledTest.so * -libname AotInvokeInterface2CompiledTest.so
* -class compiler.calls.common.InvokeInterface * -class compiler.calls.common.InvokeInterface
* -compile compiler.calls.common.InvokeInterface.caller()V * -compile compiler.calls.common.InvokeInterface.caller()V
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeInterface2CompiledTest.so * -XX:AOTLibrary=./AotInvokeInterface2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeInterface -compileCallee 1 * compiler.calls.common.InvokeInterface -compileCallee 1
* -checkCalleeCompileLevel 1 * -checkCalleeCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeInterface2CompiledTest.so * -XX:AOTLibrary=./AotInvokeInterface2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeInterface -compileCallee 4 * compiler.calls.common.InvokeInterface -compileCallee 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname AotInvokeInterface2InterpretedTest.so * -libname AotInvokeInterface2InterpretedTest.so
* -class compiler.calls.common.InvokeInterface * -class compiler.calls.common.InvokeInterface
* -compile compiler.calls.common.InvokeInterface.caller()V * -compile compiler.calls.common.InvokeInterface.caller()V
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeInterface2InterpretedTest.so * -XX:AOTLibrary=./AotInvokeInterface2InterpretedTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeInterface::callee * -XX:CompileCommand=exclude,compiler.calls.common.InvokeInterface::callee
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeInterface2NativeTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeInterface2NativeTest.so
* -class compiler.calls.common.InvokeInterface * -class compiler.calls.common.InvokeInterface
* -compile compiler.calls.common.InvokeInterface.caller()V * -compile compiler.calls.common.InvokeInterface.caller()V
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeInterface2NativeTest.so * -XX:AOTLibrary=./AotInvokeInterface2NativeTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeInterface -nativeCallee -checkCallerCompileLevel -1 * compiler.calls.common.InvokeInterface -nativeCallee -checkCallerCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,8 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeSpecial2AotTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeSpecial2AotTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:. * -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:.
* @run main/othervm -XX:+UseAOT -XX:AOTLibrary=./AotInvokeSpecial2AotTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeSpecial2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial * compiler.calls.common.InvokeSpecial
* -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1 * -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,12 +33,12 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeSpecial2CompiledTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeSpecial2CompiledTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -compile compiler.calls.common.InvokeSpecial.caller()V * -compile compiler.calls.common.InvokeSpecial.caller()V
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeSpecial2CompiledTest.so * -XX:AOTLibrary=./AotInvokeSpecial2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial -compileCallee 1 * compiler.calls.common.InvokeSpecial -compileCallee 1
* -checkCalleeCompileLevel 1 * -checkCalleeCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeSpecial2CompiledTest.so * -XX:AOTLibrary=./AotInvokeSpecial2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial -compileCallee 4 * compiler.calls.common.InvokeSpecial -compileCallee 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname AotInvokeSpecial2InterpretedTest.so * -libname AotInvokeSpecial2InterpretedTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -compile compiler.calls.common.InvokeSpecial.caller()V * -compile compiler.calls.common.InvokeSpecial.caller()V
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeSpecial2InterpretedTest.so * -XX:AOTLibrary=./AotInvokeSpecial2InterpretedTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeSpecial::callee * -XX:CompileCommand=exclude,compiler.calls.common.InvokeSpecial::callee
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeSpecial2NativeTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeSpecial2NativeTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -compile compiler.calls.common.InvokeSpecial.caller()V * -compile compiler.calls.common.InvokeSpecial.caller()V
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeSpecial2NativeTest.so * -XX:AOTLibrary=./AotInvokeSpecial2NativeTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial -nativeCallee -checkCallerCompileLevel -1 * compiler.calls.common.InvokeSpecial -nativeCallee -checkCallerCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,8 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeStatic2AotTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeStatic2AotTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:. * -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:.
* @run main/othervm -XX:+UseAOT -XX:AOTLibrary=./AotInvokeStatic2AotTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeStatic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic * compiler.calls.common.InvokeStatic
* -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1 * -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,12 +33,12 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeStatic2CompiledTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeStatic2CompiledTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -compile compiler.calls.common.InvokeStatic.caller()V * -compile compiler.calls.common.InvokeStatic.caller()V
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeStatic2CompiledTest.so * -XX:AOTLibrary=./AotInvokeStatic2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic -compileCallee 1 * compiler.calls.common.InvokeStatic -compileCallee 1
* -checkCalleeCompileLevel 1 * -checkCalleeCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeStatic2CompiledTest.so * -XX:AOTLibrary=./AotInvokeStatic2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic -compileCallee 4 * compiler.calls.common.InvokeStatic -compileCallee 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname AotInvokeStatic2InterpretedTest.so * -libname AotInvokeStatic2InterpretedTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -compile compiler.calls.common.InvokeStatic.caller()V * -compile compiler.calls.common.InvokeStatic.caller()V
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeStatic2InterpretedTest.so * -XX:AOTLibrary=./AotInvokeStatic2InterpretedTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeStatic::callee * -XX:CompileCommand=exclude,compiler.calls.common.InvokeStatic::callee
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeStatic2NativeTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeStatic2NativeTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -compile compiler.calls.common.InvokeStatic.caller()V * -compile compiler.calls.common.InvokeStatic.caller()V
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeStatic2NativeTest.so * -XX:AOTLibrary=./AotInvokeStatic2NativeTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic -nativeCallee -checkCallerCompileLevel -1 * compiler.calls.common.InvokeStatic -nativeCallee -checkCallerCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,8 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeVirtual2AotTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeVirtual2AotTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:. * -extraopt -XX:+UnlockDiagnosticVMOptions -extraopt -XX:+WhiteBoxAPI -extraopt -Xbootclasspath/a:.
* @run main/othervm -XX:+UseAOT -XX:AOTLibrary=./AotInvokeVirtual2AotTest.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeVirtual2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual * compiler.calls.common.InvokeVirtual
* -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1 * -checkCallerCompileLevel -1 -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,12 +33,12 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeVirtual2CompiledTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeVirtual2CompiledTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -compile compiler.calls.common.InvokeVirtual.caller()V * -compile compiler.calls.common.InvokeVirtual.caller()V
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeVirtual2CompiledTest.so * -XX:AOTLibrary=./AotInvokeVirtual2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual -compileCallee 1 * compiler.calls.common.InvokeVirtual -compileCallee 1
* -checkCalleeCompileLevel 1 * -checkCalleeCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeVirtual2CompiledTest.so * -XX:AOTLibrary=./AotInvokeVirtual2CompiledTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual -compileCallee 4 * compiler.calls.common.InvokeVirtual -compileCallee 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname AotInvokeVirtual2InterpretedTest.so * -libname AotInvokeVirtual2InterpretedTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -compile compiler.calls.common.InvokeVirtual.caller()V * -compile compiler.calls.common.InvokeVirtual.caller()V
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeVirtual2InterpretedTest.so * -XX:AOTLibrary=./AotInvokeVirtual2InterpretedTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeVirtual::callee * -XX:CompileCommand=exclude,compiler.calls.common.InvokeVirtual::callee
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname AotInvokeVirtual2NativeTest.so * @run driver compiler.aot.AotCompiler -libname AotInvokeVirtual2NativeTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -compile compiler.calls.common.InvokeVirtual.caller()V * -compile compiler.calls.common.InvokeVirtual.caller()V
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./AotInvokeVirtual2NativeTest.so * -XX:AOTLibrary=./AotInvokeVirtual2NativeTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual -nativeCallee -checkCallerCompileLevel -1 * compiler.calls.common.InvokeVirtual -nativeCallee -checkCallerCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -36,12 +36,12 @@
* @run driver compiler.aot.AotCompiler -libname CompiledInvokeDynamic2AotTest.so * @run driver compiler.aot.AotCompiler -libname CompiledInvokeDynamic2AotTest.so
* -class compiler.calls.common.InvokeDynamic * -class compiler.calls.common.InvokeDynamic
* -compile compiler.calls.common.InvokeDynamic.callee.* * -compile compiler.calls.common.InvokeDynamic.callee.*
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeDynamic2AotTest.so * -XX:AOTLibrary=./CompiledInvokeDynamic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeDynamic -compileCaller 1 * compiler.calls.common.InvokeDynamic -compileCaller 1
* -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1 * -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeDynamic2AotTest.so * -XX:AOTLibrary=./CompiledInvokeDynamic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeDynamic -compileCaller 4 * compiler.calls.common.InvokeDynamic -compileCaller 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,12 +34,12 @@
* -libname CompiledInvokeInterface2AotTest.so * -libname CompiledInvokeInterface2AotTest.so
* -class compiler.calls.common.InvokeInterface * -class compiler.calls.common.InvokeInterface
* -compile compiler.calls.common.InvokeInterface.callee.* * -compile compiler.calls.common.InvokeInterface.callee.*
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeInterface2AotTest.so * -XX:AOTLibrary=./CompiledInvokeInterface2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeInterface -compileCaller 1 * compiler.calls.common.InvokeInterface -compileCaller 1
* -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1 * -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeInterface2AotTest.so * -XX:AOTLibrary=./CompiledInvokeInterface2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeInterface -compileCaller 4 * compiler.calls.common.InvokeInterface -compileCaller 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,12 +33,12 @@
* @run driver compiler.aot.AotCompiler -libname CompiledInvokeSpecial2AotTest.so * @run driver compiler.aot.AotCompiler -libname CompiledInvokeSpecial2AotTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -compile compiler.calls.common.InvokeSpecial.callee.* * -compile compiler.calls.common.InvokeSpecial.callee.*
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeSpecial2AotTest.so * -XX:AOTLibrary=./CompiledInvokeSpecial2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial -compileCaller 1 * compiler.calls.common.InvokeSpecial -compileCaller 1
* -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1 * -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeSpecial2AotTest.so * -XX:AOTLibrary=./CompiledInvokeSpecial2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial -compileCaller 4 * compiler.calls.common.InvokeSpecial -compileCaller 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,12 +33,12 @@
* @run driver compiler.aot.AotCompiler -libname CompiledInvokeStatic2AotTest.so * @run driver compiler.aot.AotCompiler -libname CompiledInvokeStatic2AotTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -compile compiler.calls.common.InvokeStatic.callee.* * -compile compiler.calls.common.InvokeStatic.callee.*
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeStatic2AotTest.so * -XX:AOTLibrary=./CompiledInvokeStatic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic -compileCaller 1 * compiler.calls.common.InvokeStatic -compileCaller 1
* -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1 * -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeStatic2AotTest.so * -XX:AOTLibrary=./CompiledInvokeStatic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic -compileCaller 4 * compiler.calls.common.InvokeStatic -compileCaller 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,12 +33,12 @@
* @run driver compiler.aot.AotCompiler -libname CompiledInvokeVirtual2AotTest.so * @run driver compiler.aot.AotCompiler -libname CompiledInvokeVirtual2AotTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -compile compiler.calls.common.InvokeVirtual.callee.* * -compile compiler.calls.common.InvokeVirtual.callee.*
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeVirtual2AotTest.so * -XX:AOTLibrary=./CompiledInvokeVirtual2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual -compileCaller 1 * compiler.calls.common.InvokeVirtual -compileCaller 1
* -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1 * -checkCalleeCompileLevel -1 -checkCallerCompileLevel 1
* @run main/othervm -Xbatch -XX:+UseAOT * @run main/othervm -Xbatch -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./CompiledInvokeVirtual2AotTest.so * -XX:AOTLibrary=./CompiledInvokeVirtual2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual -compileCaller 4 * compiler.calls.common.InvokeVirtual -compileCaller 4

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -37,7 +37,7 @@
* -libname InterpretedInvokeDynamic2AotTest.so * -libname InterpretedInvokeDynamic2AotTest.so
* -class compiler.calls.common.InvokeDynamic * -class compiler.calls.common.InvokeDynamic
* -compile compiler.calls.common.InvokeDynamic.callee.* * -compile compiler.calls.common.InvokeDynamic.callee.*
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./InterpretedInvokeDynamic2AotTest.so * -XX:AOTLibrary=./InterpretedInvokeDynamic2AotTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeDynamic::caller * -XX:CompileCommand=exclude,compiler.calls.common.InvokeDynamic::caller
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname InterpretedInvokeInterface2AotTest.so * -libname InterpretedInvokeInterface2AotTest.so
* -class compiler.calls.common.InvokeInterface * -class compiler.calls.common.InvokeInterface
* -compile compiler.calls.common.InvokeInterface.callee.* * -compile compiler.calls.common.InvokeInterface.callee.*
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./InterpretedInvokeInterface2AotTest.so * -XX:AOTLibrary=./InterpretedInvokeInterface2AotTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeInterface::caller * -XX:CompileCommand=exclude,compiler.calls.common.InvokeInterface::caller
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname InterpretedInvokeSpecial2AotTest.so * -libname InterpretedInvokeSpecial2AotTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -compile compiler.calls.common.InvokeSpecial.callee.* * -compile compiler.calls.common.InvokeSpecial.callee.*
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./InterpretedInvokeSpecial2AotTest.so * -XX:AOTLibrary=./InterpretedInvokeSpecial2AotTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeSpecial::caller * -XX:CompileCommand=exclude,compiler.calls.common.InvokeSpecial::caller
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname InterpretedInvokeStatic2AotTest.so * -libname InterpretedInvokeStatic2AotTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -compile compiler.calls.common.InvokeStatic.callee.* * -compile compiler.calls.common.InvokeStatic.callee.*
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./InterpretedInvokeStatic2AotTest.so * -XX:AOTLibrary=./InterpretedInvokeStatic2AotTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeStatic::caller * -XX:CompileCommand=exclude,compiler.calls.common.InvokeStatic::caller
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@
* -libname InterpretedInvokeVirtual2AotTest.so * -libname InterpretedInvokeVirtual2AotTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -compile compiler.calls.common.InvokeVirtual.callee.* * -compile compiler.calls.common.InvokeVirtual.callee.*
* @run main/othervm -XX:+UseAOT * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./InterpretedInvokeVirtual2AotTest.so * -XX:AOTLibrary=./InterpretedInvokeVirtual2AotTest.so
* -XX:CompileCommand=exclude,compiler.calls.common.InvokeVirtual::caller * -XX:CompileCommand=exclude,compiler.calls.common.InvokeVirtual::caller
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname NativeInvokeSpecial2AotTest.so * @run driver compiler.aot.AotCompiler -libname NativeInvokeSpecial2AotTest.so
* -class compiler.calls.common.InvokeSpecial * -class compiler.calls.common.InvokeSpecial
* -compile compiler.calls.common.InvokeSpecial.callee.* * -compile compiler.calls.common.InvokeSpecial.callee.*
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./NativeInvokeSpecial2AotTest.so * -XX:AOTLibrary=./NativeInvokeSpecial2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeSpecial -nativeCaller -checkCalleeCompileLevel -1 * compiler.calls.common.InvokeSpecial -nativeCaller -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname NativeInvokeStatic2AotTest.so * @run driver compiler.aot.AotCompiler -libname NativeInvokeStatic2AotTest.so
* -class compiler.calls.common.InvokeStatic * -class compiler.calls.common.InvokeStatic
* -compile compiler.calls.common.InvokeStatic.callee.* * -compile compiler.calls.common.InvokeStatic.callee.*
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./NativeInvokeStatic2AotTest.so * -XX:AOTLibrary=./NativeInvokeStatic2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeStatic -nativeCaller -checkCalleeCompileLevel -1 * compiler.calls.common.InvokeStatic -nativeCaller -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,7 +33,7 @@
* @run driver compiler.aot.AotCompiler -libname NativeInvokeVirtual2AotTest.so * @run driver compiler.aot.AotCompiler -libname NativeInvokeVirtual2AotTest.so
* -class compiler.calls.common.InvokeVirtual * -class compiler.calls.common.InvokeVirtual
* -compile compiler.calls.common.InvokeVirtual.callee.* * -compile compiler.calls.common.InvokeVirtual.callee.*
* @run main/othervm/native -XX:+UseAOT * @run main/othervm/native -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* -XX:AOTLibrary=./NativeInvokeVirtual2AotTest.so * -XX:AOTLibrary=./NativeInvokeVirtual2AotTest.so
* -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:. * -XX:+UnlockDiagnosticVMOptions -XX:+WhiteBoxAPI -Xbootclasspath/a:.
* compiler.calls.common.InvokeVirtual -nativeCaller -checkCalleeCompileLevel -1 * compiler.calls.common.InvokeVirtual -nativeCaller -checkCalleeCompileLevel -1

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -39,8 +39,8 @@ public class AotLibraryNegativeBase {
UNEXPECTED_MESSAGES, UNEXPECTED_MESSAGES,
"Unexpected exit code using " + option, "Unexpected exit code using " + option,
"Unexpected output using " + option, ExitCode.FAIL, "Unexpected output using " + option, ExitCode.FAIL,
addTestVMOptions, "-XX:+UseAOT", "-XX:+PrintAOT", addTestVMOptions, "-XX:+UnlockExperimentalVMOptions", "-XX:+UseAOT",
option, HelloWorldPrinter.class.getName()); "-XX:+PrintAOT", option, HelloWorldPrinter.class.getName());
} catch (Throwable t) { } catch (Throwable t) {
throw new Error("Problems executing test using " + option throw new Error("Problems executing test using " + option
+ ": " + t, t); + ": " + t, t);

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -56,7 +56,7 @@ public class DisabledAOTWithLibraryTest {
CommandLineOptionTest.verifyJVMStartup(EXPECTED_MESSAGES, CommandLineOptionTest.verifyJVMStartup(EXPECTED_MESSAGES,
UNEXPECTED_MESSAGES, "Unexpected exit code", UNEXPECTED_MESSAGES, "Unexpected exit code",
"Unexpected output", ExitCode.OK, addTestVMOptions, "Unexpected output", ExitCode.OK, addTestVMOptions,
"-XX:-UseAOT", "-XX:+PrintAOT", "-XX:+UnlockExperimentalVMOptions", "-XX:-UseAOT", "-XX:+PrintAOT",
"-XX:AOTLibrary=./" + LIB_NAME, "-XX:AOTLibrary=./" + LIB_NAME,
HelloWorldPrinter.class.getName()); HelloWorldPrinter.class.getName());
} catch (Throwable t) { } catch (Throwable t) {

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -74,16 +74,17 @@ public final class MultipleAOTLibraryTest {
private void runTest(String args[]) { private void runTest(String args[]) {
try { try {
boolean addTestVMOptions = true; boolean addTestVMOptions = true;
String[] allArgs = Arrays.copyOf(args, args.length + 4); String[] allArgs = Arrays.copyOf(args, args.length + 5);
allArgs[args.length] = "-XX:AOTLibrary=" allArgs[args.length] = "-XX:+UnlockExperimentalVMOptions";
allArgs[args.length + 1] = "-XX:AOTLibrary="
+ "." + File.separator + "." + File.separator
+ "libMultipleAOTLibraryTest1.so" + "libMultipleAOTLibraryTest1.so"
+ File.pathSeparator + File.pathSeparator
+ "." + File.separator + "." + File.separator
+ "libMultipleAOTLibraryTest2.so"; + "libMultipleAOTLibraryTest2.so";
allArgs[args.length + 1] = "-XX:+PrintAOT"; allArgs[args.length + 2] = "-XX:+PrintAOT";
allArgs[args.length + 2] = "-XX:+UseAOT"; allArgs[args.length + 3] = "-XX:+UseAOT";
allArgs[args.length + 3] = HelloWorldPrinter.class.getName(); allArgs[args.length + 4] = HelloWorldPrinter.class.getName();
CommandLineOptionTest.verifyJVMStartup(EXPECTED_OUTPUT, CommandLineOptionTest.verifyJVMStartup(EXPECTED_OUTPUT,
UNEXPECTED_OUTPUT, "Unexpected exit code", UNEXPECTED_OUTPUT, "Unexpected exit code",
"Unexpected output", ExitCode.OK, addTestVMOptions, "Unexpected output", ExitCode.OK, addTestVMOptions,

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -67,8 +67,8 @@ public final class SingleAOTLibraryTest {
CommandLineOptionTest.verifyJVMStartup(EXPECTED_MESSAGES, CommandLineOptionTest.verifyJVMStartup(EXPECTED_MESSAGES,
UNEXPECTED_MESSAGES, "Unexpected exit code using " + arg, UNEXPECTED_MESSAGES, "Unexpected exit code using " + arg,
"Unexpected output using " + arg, ExitCode.OK, "Unexpected output using " + arg, ExitCode.OK,
addTestVMOptions, "-XX:+UseAOT", "-XX:+PrintAOT", arg, addTestVMOptions, "-XX:+UnlockExperimentalVMOptions", "-XX:+UseAOT",
"-XX:AOTLibrary=./libSingleAOTLibraryTest.so", "-XX:+PrintAOT", arg, "-XX:AOTLibrary=./libSingleAOTLibraryTest.so",
HelloWorldPrinter.class.getName()); HelloWorldPrinter.class.getName());
} catch (Throwable t) { } catch (Throwable t) {
throw new Error("Problems executing test: " + t, t); throw new Error("Problems executing test: " + t, t);

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -33,17 +33,17 @@
* -compile compiler.aot.HelloWorldPrinter.print()V * -compile compiler.aot.HelloWorldPrinter.print()V
* -extraopt -XX:+UseCompressedOops * -extraopt -XX:+UseCompressedOops
* @run driver compiler.aot.cli.SingleAOTOptionTest -XX:+UseCompressedOops * @run driver compiler.aot.cli.SingleAOTOptionTest -XX:+UseCompressedOops
* -XX:AOTLibrary=./libSingleAOTOptionTest.so * -XX:+UnlockExperimentalVMOptions -XX:AOTLibrary=./libSingleAOTOptionTest.so
* @run main compiler.aot.cli.SingleAOTOptionTest * @run main compiler.aot.cli.SingleAOTOptionTest
* -XX:+UseCompressedOops -XX:+UseAOT * -XX:+UseCompressedOops -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* @run driver compiler.aot.AotCompiler -libname libSingleAOTOptionTest.so * @run driver compiler.aot.AotCompiler -libname libSingleAOTOptionTest.so
* -class compiler.aot.HelloWorldPrinter * -class compiler.aot.HelloWorldPrinter
* -compile compiler.aot.HelloWorldPrinter.print()V * -compile compiler.aot.HelloWorldPrinter.print()V
* -extraopt -XX:-UseCompressedOops * -extraopt -XX:-UseCompressedOops
* @run driver compiler.aot.cli.SingleAOTOptionTest -XX:-UseCompressedOops * @run driver compiler.aot.cli.SingleAOTOptionTest -XX:-UseCompressedOops
* -XX:AOTLibrary=./libSingleAOTOptionTest.so * -XX:+UnlockExperimentalVMOptions -XX:AOTLibrary=./libSingleAOTOptionTest.so
* @run driver compiler.aot.cli.SingleAOTOptionTest * @run driver compiler.aot.cli.SingleAOTOptionTest
* -XX:-UseCompressedOops -XX:+UseAOT * -XX:-UseCompressedOops -XX:+UnlockExperimentalVMOptions -XX:+UseAOT
* @summary check if specifying only one aot option handled properly * @summary check if specifying only one aot option handled properly
*/ */
@ -60,24 +60,24 @@ public class SingleAOTOptionTest {
private static final String[] UNEXPECTED_MESSAGES = null; private static final String[] UNEXPECTED_MESSAGES = null;
public static void main(String args[]) { public static void main(String args[]) {
if (args.length == 2) { if (args.length == 3) {
new SingleAOTOptionTest().runTest(args[0], args[1]); new SingleAOTOptionTest().runTest(args[0], args[1], args[2]);
} else { } else {
throw new Error("Test expects 2 parameters"); throw new Error("Test expects 2 parameters");
} }
} }
private void runTest(String arg1, String arg2) { private void runTest(String arg1, String arg2, String arg3) {
try { try {
String exitCodeErrorMessage = String.format("Unexpected exit code " String exitCodeErrorMessage = String.format("Unexpected exit code "
+ "using %s and %s", arg1, arg2); + "using %s %s %s", arg1, arg2, arg3);
String outputErrorMessage = String.format("Unexpected output using" String outputErrorMessage = String.format("Unexpected output using"
+ " %s and %s", arg1, arg2); + " %s %s", arg1, arg2, arg3);
boolean addTestVMOptions = true; boolean addTestVMOptions = true;
CommandLineOptionTest.verifyJVMStartup(EXPECTED_MESSAGES, CommandLineOptionTest.verifyJVMStartup(EXPECTED_MESSAGES,
UNEXPECTED_MESSAGES, exitCodeErrorMessage, UNEXPECTED_MESSAGES, exitCodeErrorMessage,
outputErrorMessage, ExitCode.OK, addTestVMOptions, arg1, outputErrorMessage, ExitCode.OK, addTestVMOptions, arg1,
arg2, HelloWorldPrinter.class.getName()); arg2, arg3, HelloWorldPrinter.class.getName());
} catch (Throwable t) { } catch (Throwable t) {
throw new Error("Problems executing test: " + t, t); throw new Error("Problems executing test: " + t, t);
} }

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -40,6 +40,7 @@ public class JaotcTestHelper {
public static final String DEFAULT_LIB_PATH = "./unnamed." + Platform.sharedLibraryExt(); public static final String DEFAULT_LIB_PATH = "./unnamed." + Platform.sharedLibraryExt();
public static final String DEFAULT_LIBRARY_LOAD_MESSAGE = "loaded " + DEFAULT_LIB_PATH public static final String DEFAULT_LIBRARY_LOAD_MESSAGE = "loaded " + DEFAULT_LIB_PATH
+ " aot library"; + " aot library";
private static final String UNLOCK_EXPERIMENTAL_VM_OPTIONS = "-XX:+UnlockExperimentalVMOptions";
private static final String ENABLE_AOT = "-XX:+UseAOT"; private static final String ENABLE_AOT = "-XX:+UseAOT";
private static final String AOT_LIBRARY = "-XX:AOTLibrary=" + DEFAULT_LIB_PATH; private static final String AOT_LIBRARY = "-XX:AOTLibrary=" + DEFAULT_LIB_PATH;
private static final String PRINT_AOT = "-XX:+PrintAOT"; private static final String PRINT_AOT = "-XX:+PrintAOT";
@ -75,7 +76,8 @@ public class JaotcTestHelper {
try { try {
CommandLineOptionTest.verifyJVMStartup(expectedOutput, unexpectedOutput, CommandLineOptionTest.verifyJVMStartup(expectedOutput, unexpectedOutput,
"Unexpected exit code", "Unexpected output", ExitCode.OK, "Unexpected exit code", "Unexpected output", ExitCode.OK,
/* addTestVMOpts */ true, ENABLE_AOT, AOT_LIBRARY, PRINT_AOT, classToRun); /* addTestVMOpts */ true, UNLOCK_EXPERIMENTAL_VM_OPTIONS,
ENABLE_AOT, AOT_LIBRARY, PRINT_AOT, classToRun);
} catch (Throwable t) { } catch (Throwable t) {
throw new Error("Library usage verification failed: " + t, t); throw new Error("Library usage verification failed: " + t, t);
} }

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2018, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -38,7 +38,8 @@
* *
* @run main/othervm * @run main/othervm
* compiler.aot.fingerprint.SelfChanged TEST-UNMODIFIED * compiler.aot.fingerprint.SelfChanged TEST-UNMODIFIED
* @run main/othervm -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSelfChanged.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSelfChanged.so
* -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace * -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace
* compiler.aot.fingerprint.SelfChanged TEST-UNMODIFIED * compiler.aot.fingerprint.SelfChanged TEST-UNMODIFIED
* *
@ -46,7 +47,8 @@
* compiler.aot.fingerprint.SelfChanged WRITE-MODIFIED-CLASS * compiler.aot.fingerprint.SelfChanged WRITE-MODIFIED-CLASS
* @run main * @run main
* compiler.aot.fingerprint.SelfChanged TEST-MODIFIED * compiler.aot.fingerprint.SelfChanged TEST-MODIFIED
* @run main/othervm -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSelfChanged.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSelfChanged.so
* -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace * -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace
* compiler.aot.fingerprint.SelfChanged TEST-MODIFIED * compiler.aot.fingerprint.SelfChanged TEST-MODIFIED
*/ */

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2018, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -42,7 +42,8 @@
* @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar * @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar
* compiler.aot.fingerprint.Blah TEST-UNMODIFIED * compiler.aot.fingerprint.Blah TEST-UNMODIFIED
* @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar * @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar
* -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSelfChanged.so * -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSelfChanged.so
* -XX:SharedArchiveFile=SelfChangedCDS.jsa * -XX:SharedArchiveFile=SelfChangedCDS.jsa
* -XX:+IgnoreUnrecognizedVMOptions * -XX:+IgnoreUnrecognizedVMOptions
* -Xshare:auto -showversion * -Xshare:auto -showversion
@ -58,7 +59,8 @@
* @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar * @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar
* compiler.aot.fingerprint.Blah TEST-MODIFIED * compiler.aot.fingerprint.Blah TEST-MODIFIED
* @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar * @run main compiler.aot.fingerprint.CDSRunner -cp SelfChangedCDS.jar
* -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSelfChanged.so * -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSelfChanged.so
* -XX:SharedArchiveFile=SelfChangedCDS.jsa * -XX:SharedArchiveFile=SelfChangedCDS.jsa
* -XX:+IgnoreUnrecognizedVMOptions * -XX:+IgnoreUnrecognizedVMOptions
* -Xshare:auto -showversion * -Xshare:auto -showversion
@ -77,7 +79,8 @@
* @run main compiler.aot.fingerprint.CDSRunner -Xmx512m -cp SelfChangedCDS.jar * @run main compiler.aot.fingerprint.CDSRunner -Xmx512m -cp SelfChangedCDS.jar
* compiler.aot.fingerprint.Blah TEST-UNMODIFIED * compiler.aot.fingerprint.Blah TEST-UNMODIFIED
* @run main compiler.aot.fingerprint.CDSRunner -Xmx512m -cp SelfChangedCDS.jar * @run main compiler.aot.fingerprint.CDSRunner -Xmx512m -cp SelfChangedCDS.jar
* -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSelfChanged.so * -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSelfChanged.so
* -XX:SharedArchiveFile=SelfChangedCDS.jsa * -XX:SharedArchiveFile=SelfChangedCDS.jsa
* -XX:+IgnoreUnrecognizedVMOptions * -XX:+IgnoreUnrecognizedVMOptions
* -Xshare:auto -showversion * -Xshare:auto -showversion

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2018, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -38,7 +38,8 @@
* *
* @run main * @run main
* compiler.aot.fingerprint.SuperChanged TEST-UNMODIFIED * compiler.aot.fingerprint.SuperChanged TEST-UNMODIFIED
* @run main/othervm -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSuperChanged.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSuperChanged.so
* -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace * -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace
* compiler.aot.fingerprint.SuperChanged TEST-UNMODIFIED * compiler.aot.fingerprint.SuperChanged TEST-UNMODIFIED
* *
@ -46,7 +47,8 @@
* compiler.aot.fingerprint.SuperChanged WRITE-MODIFIED-CLASS * compiler.aot.fingerprint.SuperChanged WRITE-MODIFIED-CLASS
* @run main * @run main
* compiler.aot.fingerprint.SuperChanged TEST-MODIFIED * compiler.aot.fingerprint.SuperChanged TEST-MODIFIED
* @run main/othervm -XX:+UseAOT -XX:+PrintAOT -XX:AOTLibrary=./libSuperChanged.so * @run main/othervm -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+PrintAOT
* -XX:AOTLibrary=./libSuperChanged.so
* -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace * -Xlog:aot+class+fingerprint=trace -Xlog:aot+class+load=trace
* compiler.aot.fingerprint.SuperChanged TEST-MODIFIED * compiler.aot.fingerprint.SuperChanged TEST-MODIFIED
*/ */

View File

@ -1,4 +1,4 @@
# Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved. # Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# #
# This code is free software; you can redistribute it and/or modify it # This code is free software; you can redistribute it and/or modify it
@ -37,7 +37,7 @@ done
$JAVA_HOME/bin/javac -d . $DIR/$TEST.java $JAVA_HOME/bin/javac -d . $DIR/$TEST.java
JAOTC_OPTS="-J-ea -J-Xmx4g --compile-for-tiered --info" JAOTC_OPTS="-J-ea -J-Xmx4g --compile-for-tiered --info"
JAVA_OPTS="-Xmx4g -XX:+UseAOT -XX:+UnlockDiagnosticVMOptions -XX:+UseAOTStrictLoading" JAVA_OPTS="-Xmx4g -XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:+UnlockDiagnosticVMOptions -XX:+UseAOTStrictLoading"
# Compile with: +UseCompressedOops +UseG1GC # Compile with: +UseCompressedOops +UseG1GC
LIBRARIES="" LIBRARIES=""

View File

@ -1,4 +1,4 @@
# Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved. # Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# #
# This code is free software; you can redistribute it and/or modify it # This code is free software; you can redistribute it and/or modify it
@ -34,7 +34,7 @@ $JAVA_HOME/bin/javac -d . $DIR/HelloWorld.java
OPTS="-J-Xmx4g -J-XX:-UseCompressedOops --info --verbose" OPTS="-J-Xmx4g -J-XX:-UseCompressedOops --info --verbose"
$JAVA_HOME/bin/jaotc $OPTS --output libHelloWorld.$SO_TYPE HelloWorld.class || exit 1 $JAVA_HOME/bin/jaotc $OPTS --output libHelloWorld.$SO_TYPE HelloWorld.class || exit 1
JAVA_OPTS="-Xmx4g -XX:-UseCompressedOops -XX:+UnlockDiagnosticVMOptions -XX:+UseAOTStrictLoading -XX:AOTLibrary=./libHelloWorld.$SO_TYPE" JAVA_OPTS="-Xmx4g -XX:-UseCompressedOops -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions -XX:+UseAOTStrictLoading -XX:AOTLibrary=./libHelloWorld.$SO_TYPE"
$JAVA_HOME/bin/java $JAVA_OPTS -XX:+PrintAOT -version | grep "aot library" || exit 1 $JAVA_HOME/bin/java $JAVA_OPTS -XX:+PrintAOT -version | grep "aot library" || exit 1
$JAVA_HOME/bin/java $JAVA_OPTS HelloWorld || exit 1 $JAVA_HOME/bin/java $JAVA_OPTS HelloWorld || exit 1
@ -50,13 +50,13 @@ for gc in UseG1GC UseParallelGC; do
$JAVA_HOME/bin/jaotc $OPTS --output $LIBRARY HelloWorld.class $JAVA_HOME/bin/jaotc $OPTS --output $LIBRARY HelloWorld.class
# Dump CDS archive. # Dump CDS archive.
$JAVA_HOME/bin/java -Xshare:dump -XX:-UseAOT -XX:+$gc || exit 1 $JAVA_HOME/bin/java -Xshare:dump -XX:+UnlockExperimentalVMOptions -XX:-UseAOT -XX:+$gc || exit 1
JAVA_OPTS="-Xmx256m" JAVA_OPTS="-Xmx256m"
echo "Tiered C1 $gc:" echo "Tiered C1 $gc:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
OUT=`time $JAVA_HOME/bin/java -XX:+$gc -XX:-UseCompressedOops -XX:-UseAOT -XX:TieredStopAtLevel=1 $JAVA_OPTS HelloWorld` OUT=`time $JAVA_HOME/bin/java -XX:+$gc -XX:-UseCompressedOops -XX:+UnlockExperimentalVMOptions -XX:-UseAOT -XX:TieredStopAtLevel=1 $JAVA_OPTS HelloWorld`
if [ "$OUT" != "Hello, world!" ]; then if [ "$OUT" != "Hello, world!" ]; then
echo $OUT echo $OUT
exit 1 exit 1
@ -65,14 +65,14 @@ for gc in UseG1GC UseParallelGC; do
echo "Tiered C1/C2 $gc:" echo "Tiered C1/C2 $gc:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
OUT=`time $JAVA_HOME/bin/java -XX:+$gc -XX:-UseCompressedOops -XX:-UseAOT $JAVA_OPTS HelloWorld` OUT=`time $JAVA_HOME/bin/java -XX:+$gc -XX:-UseCompressedOops -XX:+UnlockExperimentalVMOptions -XX:-UseAOT $JAVA_OPTS HelloWorld`
if [ "$OUT" != "Hello, world!" ]; then if [ "$OUT" != "Hello, world!" ]; then
echo $OUT echo $OUT
exit 1 exit 1
fi fi
done done
JAVA_OPTS="-Xmx256m -XX:+UseCompressedOops -XX:+UnlockDiagnosticVMOptions -XX:+UseAOTStrictLoading -XX:AOTLibrary=./$LIBRARY" JAVA_OPTS="-Xmx256m -XX:+UseCompressedOops -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions -XX:+UseAOTStrictLoading -XX:AOTLibrary=./$LIBRARY"
echo "AOT $gc:" echo "AOT $gc:"

View File

@ -1,4 +1,4 @@
# Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved. # Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# #
# This code is free software; you can redistribute it and/or modify it # This code is free software; you can redistribute it and/or modify it
@ -38,6 +38,6 @@ $JAVA_HOME/bin/jaotc $JAOTC_OPTS -J-XX:AOTLibrary=./libjdk.aot.$SO_TYPE --info -
$JAVA_HOME/bin/javac -d . $DIR/HelloWorld.java $JAVA_HOME/bin/javac -d . $DIR/HelloWorld.java
$JAVA_HOME/bin/java -XX:-UseCompressedOops -XX:AOTLibrary=./libjava.base-aot.$SO_TYPE HelloWorld $JAVA_HOME/bin/java -XX:-UseCompressedOops -XX:+UnlockExperimentalVMOptions -XX:AOTLibrary=./libjava.base-aot.$SO_TYPE HelloWorld
rm -f HelloWorld.class libjdk.aot.$SO_TYPE libjava.base-aot.$SO_TYPE rm -f HelloWorld.class libjdk.aot.$SO_TYPE libjava.base-aot.$SO_TYPE

View File

@ -1,4 +1,4 @@
# Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved. # Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# #
# This code is free software; you can redistribute it and/or modify it # This code is free software; you can redistribute it and/or modify it
@ -23,7 +23,7 @@ pushd `dirname $0` > /dev/null
DIR=`pwd` DIR=`pwd`
popd > /dev/null popd > /dev/null
AOT_OPTS="-XX:+UseAOT" AOT_OPTS="-XX:+UnlockExperimentalVMOptions -XX:+UseAOT"
$JAVA_HOME/bin/java $AOT_OPTS -XX:+PrintAOT -version | grep "aot library" || exit 1 $JAVA_HOME/bin/java $AOT_OPTS -XX:+PrintAOT -version | grep "aot library" || exit 1
@ -64,7 +64,7 @@ N=5
echo "Tiered C1:" echo "Tiered C1:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/java $JAVA_OPTS -XX:-UseAOT -XX:TieredStopAtLevel=1 $APP $FILE.java time $JAVA_HOME/bin/java $JAVA_OPTS -XX:+UnlockExperimentalVMOptions -XX:-UseAOT -XX:TieredStopAtLevel=1 $APP $FILE.java
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -73,7 +73,7 @@ done
echo "Tiered C1/C2:" echo "Tiered C1/C2:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/java $JAVA_OPTS -XX:-UseAOT $APP $FILE.java time $JAVA_HOME/bin/java $JAVA_OPTS -XX:+UnlockExperimentalVMOptions -XX:-UseAOT $APP $FILE.java
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -82,7 +82,7 @@ done
echo "Tiered C1/C2 -Xshare:on:" echo "Tiered C1/C2 -Xshare:on:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/java $JAVA_OPTS -XX:-UseAOT -Xshare:on $APP $FILE.java time $JAVA_HOME/bin/java $JAVA_OPTS -XX:+UnlockExperimentalVMOptions -XX:-UseAOT -Xshare:on $APP $FILE.java
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -117,7 +117,7 @@ rm -rf tmp
echo "Tiered C1 (compiling $NAME: $COUNT classes):" echo "Tiered C1 (compiling $NAME: $COUNT classes):"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
mkdir tmp mkdir tmp
time $JAVA_HOME/bin/javac -J-XX:-UseAOT -J-XX:TieredStopAtLevel=1 -XDignore.symbol.file -d tmp $FILES time $JAVA_HOME/bin/javac -J-XX:+UnlockExperimentalVMOptions -J-XX:-UseAOT -J-XX:TieredStopAtLevel=1 -XDignore.symbol.file -d tmp $FILES
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -127,7 +127,7 @@ done
echo "Tiered C1/C2 (compiling $NAME: $COUNT classes):" echo "Tiered C1/C2 (compiling $NAME: $COUNT classes):"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
mkdir tmp mkdir tmp
time $JAVA_HOME/bin/javac -J-XX:-UseAOT -XDignore.symbol.file -cp /java/devtools/share/junit/latest/junit.jar -d tmp $FILES time $JAVA_HOME/bin/javac -J-XX:+UnlockExperimentalVMOptions -J-XX:-UseAOT -XDignore.symbol.file -cp /java/devtools/share/junit/latest/junit.jar -d tmp $FILES
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -137,7 +137,7 @@ done
echo "Tiered AOT (compiling $NAME: $COUNT classes):" echo "Tiered AOT (compiling $NAME: $COUNT classes):"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
mkdir tmp mkdir tmp
time $JAVA_HOME/bin/javac -J-XX:+UseAOT -XDignore.symbol.file -cp /java/devtools/share/junit/latest/junit.jar -d tmp $FILES time $JAVA_HOME/bin/javac -J-XX:+UnlockExperimentalVMOptions -J-XX:+UseAOT -XDignore.symbol.file -cp /java/devtools/share/junit/latest/junit.jar -d tmp $FILES
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -147,7 +147,7 @@ done
echo "Tiered AOT -Xshare:on (compiling $NAME: $COUNT classes):" echo "Tiered AOT -Xshare:on (compiling $NAME: $COUNT classes):"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
mkdir tmp mkdir tmp
time $JAVA_HOME/bin/javac -J-Xshare:on -J-XX:+UseAOT -XDignore.symbol.file -cp /java/devtools/share/junit/latest/junit.jar -d tmp $FILES time $JAVA_HOME/bin/javac -J-Xshare:on -J-XX:+UnlockExperimentalVMOptions -J-XX:+UseAOT -XDignore.symbol.file -cp /java/devtools/share/junit/latest/junit.jar -d tmp $FILES
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi

View File

@ -1,4 +1,4 @@
# Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved. # Copyright (c) 2017, 2019, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# #
# This code is free software; you can redistribute it and/or modify it # This code is free software; you can redistribute it and/or modify it
@ -26,7 +26,7 @@ popd > /dev/null
# set env variables # set env variables
. $DIR/test-env.sh . $DIR/test-env.sh
$JAVA_HOME/bin/java -XX:+UnlockDiagnosticVMOptions -XX:+UseAOTStrictLoading -XX:+PrintAOT -version | grep "aot library" || exit 1 $JAVA_HOME/bin/java -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions -XX:+UseAOTStrictLoading -XX:+PrintAOT -version | grep "aot library" || exit 1
# Dump CDS archive. # Dump CDS archive.
$JAVA_HOME/bin/java -Xshare:dump || exit 1 $JAVA_HOME/bin/java -Xshare:dump || exit 1
@ -41,7 +41,7 @@ $JAVA_HOME/bin/jaotc --info --compile-commands jdk.scripting.nashorn-list.txt --
echo "Tiered C1:" echo "Tiered C1:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-XX:-UseAOT -J-XX:TieredStopAtLevel=1 $FILE time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-XX:+UnlockExperimentalVMOptions -J-XX:-UseAOT -J-XX:TieredStopAtLevel=1 $FILE
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -49,7 +49,7 @@ done
echo "Tiered C1/C2:" echo "Tiered C1/C2:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-XX:-UseAOT $FILE time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-XX:+UnlockExperimentalVMOptions -J-XX:-UseAOT $FILE
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -57,7 +57,7 @@ done
echo "Tiered AOT:" echo "Tiered AOT:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-XX:+UnlockDiagnosticVMOptions -J-XX:+UseAOTStrictLoading -J-XX:AOTLibrary=./libjdk.nashorn.$SO_TYPE $FILE time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-XX:+UnlockDiagnosticVMOptions -J-XX:+UnlockExperimentalVMOptions -J-XX:+UseAOTStrictLoading -J-XX:AOTLibrary=./libjdk.nashorn.$SO_TYPE $FILE
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
@ -65,7 +65,7 @@ done
echo "Tiered AOT -Xshare:on:" echo "Tiered AOT -Xshare:on:"
for i in `seq 1 $N`; do for i in `seq 1 $N`; do
time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-Xshare:on -J-XX:+UnlockDiagnosticVMOptions -J-XX:+UseAOTStrictLoading -J-XX:AOTLibrary=./libjdk.nashorn.$SO_TYPE $FILE time $JAVA_HOME/bin/jjs $JAVA_OPTS -J-Xshare:on -J-XX:+UnlockDiagnosticVMOptions -J-XX:+UnlockExperimentalVMOptions -J-XX:+UseAOTStrictLoading -J-XX:AOTLibrary=./libjdk.nashorn.$SO_TYPE $FILE
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, 2017, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -93,8 +93,8 @@ public class ClassAndLibraryNotMatchTest {
ProcessBuilder pb; ProcessBuilder pb;
try { try {
pb = ProcessTools.createJavaProcessBuilder(true, "-cp", ".", pb = ProcessTools.createJavaProcessBuilder(true, "-cp", ".",
"-XX:+UseAOT", "-XX:AOTLibrary=./" + LIB_NAME, "-XX:+UnlockExperimentalVMOptions", "-XX:+UseAOT",
HELLO_WORLD_CLASS_NAME); "-XX:AOTLibrary=./" + LIB_NAME, HELLO_WORLD_CLASS_NAME);
} catch (Exception e) { } catch (Exception e) {
throw new Error("Can't create ProcessBuilder to run " throw new Error("Can't create ProcessBuilder to run "
+ HELLO_WORLD_CLASS_NAME + " " + e, e); + HELLO_WORLD_CLASS_NAME + " " + e, e);

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -87,8 +87,8 @@ public class BasicFlagsChange {
so, a message like "skipped $pathTolibrary aot library" or so, a message like "skipped $pathTolibrary aot library" or
"loaded $pathToLibrary aot library" is present for cases of "loaded $pathToLibrary aot library" is present for cases of
incompatible or compatible flags respectively */ incompatible or compatible flags respectively */
pb = ProcessTools.createJavaProcessBuilder(true, "-XX:+UseAOT", pb = ProcessTools.createJavaProcessBuilder(true, "-XX:+UnlockExperimentalVMOptions",
"-XX:+PrintAOT", "-XX:AOTLibrary=./" + libName, option, "-XX:+UseAOT", "-XX:+PrintAOT", "-XX:AOTLibrary=./" + libName, option,
HelloWorldPrinter.class.getName()); HelloWorldPrinter.class.getName());
} catch (Exception ex) { } catch (Exception ex) {
throw new Error("Problems creating ProcessBuilder using " + option throw new Error("Problems creating ProcessBuilder using " + option

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2013, 2018, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2013, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -70,6 +70,7 @@ public class CompressedClassPointers {
public static void largeHeapTest() throws Exception { public static void largeHeapTest() throws Exception {
ProcessBuilder pb = ProcessTools.createJavaProcessBuilder( ProcessBuilder pb = ProcessTools.createJavaProcessBuilder(
"-XX:+UnlockDiagnosticVMOptions", "-XX:+UnlockDiagnosticVMOptions",
"-XX:+UnlockExperimentalVMOptions",
"-Xmx30g", "-Xmx30g",
"-XX:-UseAOT", // AOT explicitly set klass shift to 3. "-XX:-UseAOT", // AOT explicitly set klass shift to 3.
"-Xlog:gc+metaspace=trace", "-Xlog:gc+metaspace=trace",

View File

@ -1,5 +1,5 @@
/* /*
* Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved. * Copyright (c) 2016, 2019, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
* *
* This code is free software; you can redistribute it and/or modify it * This code is free software; you can redistribute it and/or modify it
@ -28,7 +28,8 @@ import java.util.List;
import java.util.function.Function; import java.util.function.Function;
public class AotTestGeneratorsFactory implements Function<String[], List<TestsGenerator>> { public class AotTestGeneratorsFactory implements Function<String[], List<TestsGenerator>> {
private static final String AOT_OPTIONS = "-XX:+UseAOT -XX:AOTLibrary=./aottest.so"; private static final String AOT_OPTIONS
= "-XX:+UnlockExperimentalVMOptions -XX:+UseAOT -XX:AOTLibrary=./aottest.so";
private static final String AOT_COMPILER_BUILD_ACTION private static final String AOT_COMPILER_BUILD_ACTION
= "@build compiler.aot.AotCompiler"; = "@build compiler.aot.AotCompiler";
private static final String AOT_COMPILER_RUN_ACTION_PREFIX private static final String AOT_COMPILER_RUN_ACTION_PREFIX